---
type: math
---
## Finding particular solutions

### Definitions

- RHS $f(x) = P_{deg}(x) \cdot e^{rx}, p\in \mathbb{R}[x]$
	- P is a polynomial
	- Of **first kind**
	- i.e. $e^{-3x}$; $2x^2+x -3$; $xe^x$
- RHS $f(x) = e^{rx} \cdot [P_{deg}(x)\\cdot \cos qx + Q_{deg_{2}}(x)\cdot \sin qx]$
	- P, Q are polynomials
	- Of **second kind**
	- i.e. $2\cos x-\sin x$;$x^2e^{-x}\cos 2x$
- A "constant" is a polynomial of degree 0

##### Hyperbolic sin ($\sinh$)
Just as a fun fact, it doesn't fit neither of the kinds.
$$
\sinh x = \frac{e^x - e^{-x}}{2}
$$
### Method of undetermined coeffs
- RHS of 1st kind
	- There exists a particular solution of the form
$$ 
y_{*}(x) = x^s \cdot R_{m}(x)\cdot e^{rx}
$$
	- Where $s \rightarrow^{\text{{def}}} \text{multiplicity } r\in \mathbb{R}$ among the roots of characteristic polynomials for the LHS of the equation
