
## Summary

| Brief description                                                 | Difficulty (/10) | Time needed (h) | Estimated fun index (/10) | Manpower (# of ppl) |
| ----------------------------------------------------------------- | ---------------- | --------------- | ------------------------- | ------------------- |
| [[#Platrix]]                                                      | 5                | 5               | 9                         | 1-2                 |
| [[Committee market ideas#Spectrogram image \| Spectrogram image]] | 3                | 2               | 6                         | 1                   |
| [[Committee market ideas#Puck.js bop it \| Puck.js bop it]]       | 7                | 5               | 7                         | 2                   |
| [[#Random shit]]                                                  | 1                | 2               | 4                         | 1                   |

---
## Description of ideas
### Random shit
I will bring my radios, MCUs and other shit like that. Also, I suggest we leave the sticker sheets uncut, so that we add **more** interactivity to our stand (by making people cut their own stickers).

### Puck.js bop it
Have a server, which could be any BT-enabled MCU, which is connected to an 8x8 matrix which shows the following instructions for the 2 players (2 pucks) involved:


![Puck it rules](puck_it.png)


The game ends if either of the following conditions are met:
- One of the players does the wrong move - the other one wins
- One of the players doesn't do the action on time (i.e. takes longer than a second to do it)

This is going to be really difficult considering:
- None of us has significant experience with bluetooth (except maybe serial communication but still)
- Even if we do manage to do it, bluetooth is quite unreliable and overall a pain to deal with
- We need multiple people to work on this

### Platrix
Working on this [already](https://github.com/CircuitReeRUG/platrix). r/place but irl and on one of these:
![Matrix](https://external-content.duckduckgo.com/iu/?u=https%3A%2F%2Fcontent.instructables.com%2FFS8%2FQ93S%2FIN365TKF%2FFS8Q93SIN365TKF.jpg%3Fauto%3Dwebp%26fit%3Dbounds%26frame%3D1%26height%3D1024%26width%3D1024auto%3Dwebp%26frame%3D1%26height%3D300&f=1&nofb=1&ipt=dc2552496ead22cd67bd1d0d787e6c74bdd8e205be002a5dcdda481cd2f3fd2a&ipo=images)

### Spectrogram image
Have people upload images to a simple webserver (controlled by a raspberry pi/laptop) and display the images on a monitor/laptop. We can transmit with a hackrf/raspi and receive with an SDR stick.

Here's an example using [spectrum_painter](https://github.com/polygon/spectrum_painter)


![Example Spectrogram Image](https://github.com/polygon/spectrum_painter/raw/master/doc/smiley.jpg)
