
## Grammatical rules
### Comparison
> Grote -> Groter -> Grotst


### Possesion
- *van*
	- Het boek is *van* Felicia.
- *'s*
	- Het is Felicia *'s* boek.
- Possesive pronouns
	- Het is *haar* boek.



### Sentence structure

![[Sentence Structure]]
### Possessive pronouns

| Posessive Pronouns (EN) | Personal Pronouns (NL) | Posessive Pronouns (NL)     |
| ----------------------- | ---------------------- | --------------------------- |
| My                      | ik                     | Mijn                        |
| Yours                   | jij / ze               | Jouw/je                     |
| Yours (formal)          | u                      | Uw                          |
| His/Hers                | hij, zij / ze          | Zijn/Haar                   |
| Ours                    | wij / we               | Ons/Onze                    |
| Yours (plural)          | jullie                 | Jullie (je) if not stressed |
| Theirs                  | zij / ze               | Hun                         |

#### *Ons* and *onze*
- *Ons* for neuter singular nouns - when *het* is the [[Linguistic Terms#Parts of speech|article]] in front
> *Ons* boek
- *Onze* is used for everything else (e.g. docent)
> *Onze* docent

### [[Linguistic Terms#Interrogative Pronouns|Interrogative pronouns]]



| English  | Dutch              |
| -------- | ------------------ |
| Who      | Wie                |
| How      | Hoe                |
| How many | Hoeveel            |
| What     | Wat                |
| Where    | Waar               |
| Which    | Welk(neuter)/Welke |
| When     | Wanneer            |
| Why      | Waarom             |


## Pronunciations
### [[Linguistic Terms#Emphatic forms |Emphasis]] on *een*
Whenever emphasized, *een* is pronounced eihn, while when not emphasized, it is pronounced as eun




## Vocabulary
- invullen -> to fill in (to "infull")
- er -> there
- dezelfde -> the same (coming from itself)
- betekenis -> meaning
- begrijpen -> to understand
- vragen -> to ask
- ander/en -> other(s)
- tellen -> to count
- blijven -> to stay ([when conjugated, v->f](https://www.verbix.com/webverbix/go.php?D1=24&T1=blijven))
- 