
- What is the role of lectures vs tutorials in the course
	- **Lectures introduce new material, while tutorials help students understand said material by doing exercises, reiterating, etc**.
- Which ice-break activity would you consider for your 1st session?
	- **Pick a person at random, they say a category, everybody else has to say their favorite thing in that category (i.e. food, operating system, animal, etc.)**
	- **Icebreakers are always awkward, so it's best to not rely on it. The true icebreaker is to break the awkwardness by acting unserious during it.**

- Select 1-2 objectives for the tutorial and answer the following questions: 
**Let's choose understanding graph algorithms as an objective.**
    - What is the verb used in the objective?
	    - **Understanding**
    - What is the meaning of the verb?-=What must a student actually need to do to achieve the learning objective 
	    - **They have to:**
		    - **Understand relations**
		    - **Grasp the visual representation of those relations - graphs**
		    - **Be able to trace the path of an algorithm (mentally)**
    - What do you think students will struggle with the most?
	    - **Understanding the concept of an algorithm in the context of graphs**
	    - **Memorizing the algorithms**
    - How can you divide the learning objective =problem in order to work on smaller parts at the time? What would you discuss first and what second to work on the given objective?
	    - **Understanding the use case of a graph, using a top-down exposition to the concept**
	    - **Learning to use specific notation to describe relations and then turn them into a graph, and vice versa**
	    - **Applying previously learned problem solving/programming skills on this newfound representation of data**
	    - **Assigning the terms onto simple algorithms**
	    - **Explain the benefits and advantages of more complex, yet optimized algorithms**
	
- Now, think about active learning methods
    - How do the lectures given in the course prepare your students for tutorials? Will you use some active learning tools to recapture the information from the lectures? 
	    - **I would assume that the lectures arm them with a shaky understanding of the current subject. Lectures are usually fast-paced and people who are fully able to follow them usually don't need to go to tutorials :D.**
	    - **It would be great to explain the concepts again. Through rewording them, reinforce the knowledge of students who already grasp them and create an opportunity for the others to analyse them.**
	    - **Solving exercises (i.e. applying the concepts) is very beneficial in most courses.**
    - What active learning tools do fit your learning objectives the most and why? For what would you like to use them during your tutorial?
	    - **Setting goals in the beginning of the session sets the tone and shows progress**
	    - **Having dialogues is beneficial for both parties involved. Sparks the curiosity of both TA and Student.**
	    - **Providing real world examples and analogies is crucial for the digestibility of the information provided.**
	    - **Group work on more complex problem is great for both the academic process as well as the social one**
    - How will you monitor the progress of learning: you want to know how your students progress in the course. What active learning tool would you use for that?
	    - **I would encourage them to ask me questions about assignments, exams or quizzes, without revealing the answers of course.**
	    - **I'd ask them about their perceived most confusing part of the material and elaborate on that.**
	    - **Asking them directly should also do the trick, of course avoiding sounding judgmental**
	    - **Making yourself available outside of formal situations (being on whatsapp or when seen on campus) works wonders.**