

## Vocabulary

| Dutch              | English                                                       |
| ------------------ | ------------------------------------------------------------- |
| al                 | for                                                           |
| vind               | find/like                                                     |
| gaan               | to go                                                         |
| Hoe gaat het?      | How's it going                                                |
| ook                | also                                                          |
| Ik heb geen...     | I don't have...                                               |
| Hoe oud ben jij    | How old are you                                               |
| Mag ik ... ?       | Can I get a ... ?                                             |
| elkaar             | each other                                                    |
| afrekenen/betaalen | to pay                                                        |
| voorbeld           | example                                                       |
| om                 | time [preposition](Linguistic%20Terms.md#Parts%20of%20speech) |
| eigenlijk          | actually                                                      |
| bijna              | almost                                                        |

## Het vs. De (definite articles)
1. **"De"** is used for:
   - Almost all **plural nouns** (e.g., *de kinderen* - the children).
   - **Masculine** and **feminine** singular nouns, which are the majority of Dutch nouns
   - **Professions, people, animals, and plants** 
   - **Abstract concepts**

2. **"Het"** is used for:
   - Singular **neuter** nouns
   - **Diminutives** (nouns that are made smaller or cuter, usually ending in *-je*, *-tje*, *-etje*)
   - Some **languages** and **sports**

### Common tips:
- About **80% of Dutch nouns** use **"de."**
- Most diminutives are **"het."**
- When in doubt, it is often a good idea to guess "de," though exceptions always exist.



## Een (indefinite article)

The indefinite article in Dutch, _"een"_, translates to "a" or "an" in English. It is used similarly to English when referring to something unspecific or when mentioning something for the first time.

Examples:

- Een man (a man)
- Een vrouw (a woman)
- Een boek (a book)

In Dutch, unlike English, the indefinite article does not change based on the noun's gender or whether it starts with a vowel or consonant.
