## Probability
- $P = \frac{\text{Favorable Cases}}{\text{Total Cases}}$

### Conditional Probability

$$
P (A|B) = \frac{P (A \cap B)}{P(B)}
$$


### Independence
$$P (A \cup B) = P(A)P(B)$$

### Law of Total Probabilities

Used when selecting an element at random. 

$$
P(A) = \Sigma_n P(A \cup B_n)
$$

![](Pasted%20image%2020250113151159.png)
### Bayes' theorem

$$
  P(H | \epsilon) = \frac{P(\epsilon | H) P(H)}{P(\epsilon)}
$$


### Probability Mass Function (PMF)
- Helps more finding the mean than the variance


### Expectation ($\mathbb{E}$)
idfk
**Expected value == mean**
### Variance
$$
var(X) = \mathbb{E}[X^2] - (\mathbb{E}[X])^2
$$

## 